function [vals params trans] = fitModels(probs)
probs=reshape(probs,36,3,40,3);
params=zeros(3,4);
vals=zeros(3,2);
trans=zeros(36,2,2,3);
for i = 1:3
    params(i,1:2)=fminsearch(@(x)-measureExp(reshape(probs(:,i,:,:),36,40,3),x),[.1 .1]);
    params(i,3:4)=fminsearch(@(x)-measureAct(reshape(probs(:,i,:,:),36,40,3),x),[1 1]);
    [vals(i,1),trans(:,1,1,i),trans(:,2,1,i)]=measureExp(reshape(probs(:,i,:,:),36,40,3),params(i,1:2));
    [vals(i,2),trans(:,1,2,i),trans(:,2,2,i)]=measureAct(reshape(probs(:,i,:,:),36,40,3),params(i,3:4));
end