function d = gammaCDM(a,b,maxlength)
if a*b <= 0
    d=zeros(maxlength,1);
else
    d=gamcdf([3:2:2*maxlength+1],a,b)-gamcdf([1:2:2*maxlength-1],a,b);
    d = d/sum(d);
end
if isnan(d(1))
    d(2:end)=0;
    d(1)=1;
end

