function val = gammajointa(data,scale)
if scale>100
    val=Inf;
else
    ops=data(:,1);
    pest=data(:,2:end);
    shape=1/scale;
    ncases=size(pest,1);
    nwidth=size(pest,2);
    uniques=unique(ops);
    shapex=uniques*shape;
    ntypes=length(uniques);
    dist=zeros(ncases,nwidth);
    for i = 1:ntypes
        if uniques(i)>0;
            a=find(ops==uniques(i));
            dist(a,:)=repmat(log(gammaCDM1(shapex(i),scale,nwidth-1)'),length(a),1);
        end
    end
    val = -sum(sum(pest.*dist));
end

