function [lkhN meansN paramsN AN] = leave1outPlain(activations,conds,markers,subjects,N)
ncases=size(activations,1);
x=find(activations(:,1)==1);
y=cat(1,x(2:end)-1,ncases);
nsubjs=max(subjects);
bsubjs=zeros(ncases,1);
csubjs=reshape(repmat([1:nsubjs],39,1),39*nsubjs,1);
csubjs(781)=[];
for i = 1:40
    a=find(csubjs==i);
    bsubjs(x(a(1)):y(a(end)))=i;
end
nfeats=size(activations,2)-2;
nconds=max(conds);
nsubstates=3*N;
lengths=2.^-[1:N];
shapes=6*lengths/sum(lengths);
params=zeros(nsubstates,2,nconds);
for i = 1:N
    params(i*3-2:i*3,:)=repmat([shapes(i),1],3,nconds);
end
subA=[0 1 0 0; 0 0 1 0; 0 0 0 1; .8 0 0 0];
A=zeros(N*4,N*4);
for i = 1:N
    A(i*4-3:i*4,i*4-3:i*4)=subA;
end
for i = 4:4:4*(N-1)
    A(i,i+1)=.2;
end
A(4*N,4*N-3)=1;
means=zeros(nfeats,nsubstates);
meansN=zeros(nfeats,nsubstates,nsubjs);
paramsN=zeros(nsubstates,2,nconds,nsubjs);
AN=zeros(N*4,N*4,nsubjs);
lkhN=zeros(nsubjs,1);
parfor i = 1:nsubjs
    [~,~, meansN(:,:,i), paramsN(:,:,:,i), AN(:,:,i)]=hsmmPlain(activations(bsubjs~=i,:),conds(csubjs~=i),markers(subjects~=i),A,means,params,15,.01);
    [lkhN(i)]=hsmmPlain(activations(bsubjs==i,:),conds(csubjs==i),markers(subjects==i),AN(:,:,i),meansN(:,:,i),paramsN(:,:,:,i),15,0);
end