function [val trans1 trans2] = measureExp(probs,param)
ncases=size(probs,2);
trans1=param(1)*(1-param(1)).^[0:34]';
trans1(36)=1-sum(trans1);
trans2=param(2)*(1-param(2)).^[0:34]';
trans2(36)=1-sum(trans2);
vals=zeros(1,ncases);
for i = 1:36
    for j = i+1:36
        k = j -i;
        vals=vals+trans1(i)*trans2(j)*prod(probs(1:i,:,1),1).*prod(probs(i+1:j,:,2),1).*prod(probs(j+1:36,:,3),1);
    end
end
val=sum(log(vals));
trans1(36)=param(1)*(1-param(1)).^35;
trans2(36)=param(2)*(1-param(2)).^34;
