function [probs, preds, subjcounts] = stateProbs(probpairs,markers,A)
endTrials=probpairs(:,[4,8,12]);
endTrials=endTrials(sum(endTrials,2)>.999,:);
endTrials=reshape(endTrials(markers==1,:),36,3,40,3);
probs=reshape(mean(endTrials,3),36,3,3);
p1=A(4,1);
p2=A(8,5);
preds=zeros(36,3);
preds(:,1)=p1.^[0:35];
for i = 2:36
    preds(i,2)=preds(i-1,1)*(1-p1)+preds(i-1,2)*p2;
end
preds(:,3)=1-sum(preds,2);
subjcounts=permute(reshape(sum(endTrials),3,40,3),[2,1,3]);