function [probsFinal basetot] = constructProbs4(values,means)
starts=values(:,end);
values=values(starts==0,1:end-1);
nscans = size(values,1);
nstates = size(means,2)/3;
sqrs = zeros(nscans,nstates);
values = max(-5,min(5,values));
for i = 1:nstates
    sqrs(:,i)=-sum((values - repmat(means(:,i)',nscans,1)).^2,2)/2; 
end
base = exp(max(-500,sqrs));
probs=base;
basetot=0;
index = 1;
flag=0;
for i = 1:nscans
    basesum = sum(base(i,:));
    probs(index,1:nstates)=base(i,:)/basesum;
    basetot = basetot+log(basesum);
    if basetot == -inf && flag ==0
        flag=i
        basesum = sum(base(i,:))
    end
    index = index+1;
end
probsFinal=zeros(length(starts),nstates*4);
substates=[1:nstates*4];
substates(4:4:end)=[];
probsFinal(starts==0,substates)=repmat(probs,1,3);
probsFinal(starts==1,[4:4:nstates*4])=1;