function [params,Pest1]=estimateParams(Pest)
ncases=size(Pest,3);
nstates=size(Pest,1)/4;
Pest1=cat(2,zeros(nstates*4,1,ncases),Pest);
for i = 1:nstates
    Pest1(i*4-3:i*4-1,1,:)=repmat(Pest(i*4,1,:),[3,1,1])-sum(Pest(i*4-3:i*4-1,:,:),2);
end
Pest1([4:4:4*nstates],:,:)=[];
params=zeros(3*nstates,2,ncases);
times=cat(2,.5,[2:2:30]);
for i = 1:3*nstates
    if sum(sum(Pest1(i,2:end,:)))>1
        scale= fminsearch(@(x)gammajoint6(cat(2,[1:21]',reshape(Pest1(i,:,:),16,21)'),x),1);
        params(i,2,:)=scale;
        for j = 1:ncases
            params(i,1,j)=(Pest1(i,:,j)*times'/sum(Pest1(i,:,j)))/scale;
        end
    else
        params(i,:,:)=0;
    end        
end
params(isnan(params))=0;