function [val,newparams stimes regs] = fitTimes(times,probs,params)
ncases=length(times)/36;
stimes=repmat(cat(2,[1:36]'.^params(1),[1:36]'.^params(2),[1:36]'.^params(3)),ncases,1);
regs=probs.*stimes;
newparams=regress(times,regs);
preds=regs*newparams;
val=sum((preds-times).^2);


