function [val,trans1 trans2] = measureAct(probs,params)
sigma=1;
mean1=params(1);
mean2=params(2);
ncases=size(probs,2);
trans1=cat(2,1,1-normcdf(log(1:35),mean1,sigma));
trans1=trans1(1:end-1)-trans1(2:end);
trans1(36)=1-sum(trans1);
trans2=cat(2,1,1-normcdf(log(1:35),mean2,sigma));
trans2=trans2(1:end-1)-trans2(2:end);
trans2(36)=1-sum(trans2);
vals=zeros(1,ncases);
for i = 1:36
    for j = i+1:36
        k = j -i;
        vals=vals+trans1(i)*trans2(j)*prod(probs(1:i,:,1),1).*prod(probs(i+1:j,:,2),1).*prod(probs(j+1:36,:,3),1);
    end
end
val=sum(log(vals));
trans1(36)=trans1(36)-(1-normcdf(log(36),mean1,sigma));
trans2(36)=trans2(36)-(1-normcdf(log(36),mean2,sigma));
    
