function [predictions,activity,stds, predictors]=predictActivity(modules,betas)
activity=mean(betas(2:7,:,:),3);
stds=std(betas(2:7,:,:),[],3)/sqrt(40);
modules=reshape(mean(modules),9,5);
predictors=modules([1,4,7,2,8],:);
predictors(6,:)=(.18*modules(3,:)+2.39*modules(9,:))/(.18+2.39);
predictions=zeros(6,5);
for i = 1:5
    temp=cat(2,ones(6,1),predictors(:,i));
    predictions(:,i)=temp*regress(activity(:,i),temp);
end
    