function [times3, times21, stds3, timesAll, probabilities, probabilities21, probabilities3]=processTimes(probpairs,problems,pyramids)
y=find(sum(probpairs(2:end,4:4:end),2)>.99);
x=cat(1,1,y(1:end-1)+2);
probpairs(:,4:4:end)=[];
ncases=length(x);
nstates=size(probpairs,2);
timesAll=zeros(ncases,nstates);
probabilities=zeros(ncases,nstates);
for i = 1:length(x)
    for j = 1:3:nstates
        probabilities(i,j:j+2)=sum(probpairs(x(i),j:j+2));
        if probabilities(i,j)>.000001
           timesAll(i,j:j+2)=2*sum(probpairs(x(i):y(i),j:j+2),1)./probabilities(i,j);
        end
    end
end
nproblems=max(problems);
times21=zeros(nproblems,nstates);
probabilities21=zeros(nproblems,nstates/3);
for i = 1:nproblems
    a = find(problems==i);
    for j = 1:3:nstates
        times21(i,j:j+2)=sum(timesAll(a,j:j+2).*probabilities(a,j:j+2),1)/sum(probabilities(a,j));
    end
    probabilities21(i,:)=mean(probabilities(a,1:3:end));
end
heights=mod(pyramids,10)-2;
times3=zeros(3,nstates);
stds3=zeros(3,nstates);
probabilities3=zeros(3,nstates/3);
for i = 1:3
    a = find(heights==i);
    times3(i,:)=mean(times21(a,:));
    stds3(i,:)=std(times21(a,:))/sqrt(length(a));
    probabilities3(i,:)=mean(probabilities21(a,:));
end
probabilities=probabilities(:,1:3:end);
        
    
