function [activations, zscores] = reconstruct(factors,transform,latent,means,stds)
factors=factors';
nscans = size(factors,1);
width = size(factors,2);
zscores = (factors.*repmat(sqrt(latent(1:width))',nscans,1))*transform(1:width,:);
activations = (zscores.*repmat(stds,nscans,1))+repmat(means,nscans,1);