function [matrix new S] = skipsa(A,params,maxlength)
n =size(A,1);
probs=zeros(n,1);
for i = 1:n-1
    if prod(params(i,:))<.01
        probs(i)=1;
    else
        temp =gammaCDM1(params(i,1),params(i,2),maxlength);
        probs(i) = temp(1);
    end
end
S = diag(probs);
new = (eye(n)-(S*A))^-1*(eye(n)-S);
matrix = A*new;